classification
Title: Doc string for updating the frozen version of importlib in _bootstrap.py incorrect
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: nnja Nosy List: barry, brett.cannon, nnja, remi.lapeyre
Priority: low Keywords: patch, patch, patch

Created on 2019-02-02 01:42 by nnja, last changed 2019-02-14 20:44 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11777 merged nnja, 2019-02-06 21:29
PR 11777 merged nnja, 2019-02-06 21:29
PR 11777 merged nnja, 2019-02-06 21:29
Messages (3)
msg334735 - (view) Author: Nina Zakharenko (nnja) * (Python triager) Date: 2019-02-02 01:42
In the process of creating a fix for issue #35321, I noticed what I believe to be a documentation omission. 

In Lib/importlib/_bootstrap.py the top level comment states that:

# IMPORTANT: Whenever making changes to this module, be sure to run
# a top-level make in order to get the frozen version of the module
# updated.

From my testing, it appears that the header file will only be updated when running `make regen-importlib`

To repo:
- make a code change in Lib/importlib/_bootstrap_external.py
- run a top-level `make`
- see that Python/importlib.h does not change
- run `make regen-importlib`
- see that Python/importlib.h has now been updated

The documentation in Lib/importlib/_bootstrap_external.py does in fact mention this.

I propose amending the documentation to include the correct instructions.

If this is deemed necessary, I will write the patch over the weekend.
msg334827 - (view) Author: RĂ©mi Lapeyre (remi.lapeyre) * Date: 2019-02-04 15:08
I believe this is why Travis does a `make regen-all` to be sure everything is up to date.

A patch to keep instructions up-to-date would be nice, newcomers are not familiar with all `make regen-*` commands.
msg335480 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-02-13 23:21
New changeset 1dc5cb9cb3447211069a7788208254b1cfa8ec98 by Brett Cannon (Nina Zakharenko) in branch 'master':
bpo-35887: Add make regen-importlib step to importlib._bootstrap docstring (GH-11777)
https://github.com/python/cpython/commit/1dc5cb9cb3447211069a7788208254b1cfa8ec98
History
Date User Action Args
2019-02-14 20:44:33brett.cannonsetkeywords: patch, patch, patch
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-13 23:21:20brett.cannonsetnosy: + brett.cannon
messages: + msg335480
2019-02-06 21:29:29nnjasetkeywords: + patch
stage: patch review
pull_requests: + pull_request11755
2019-02-06 21:29:21nnjasetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11754
2019-02-06 21:29:14nnjasetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11753
2019-02-04 15:08:10remi.lapeyresetnosy: + remi.lapeyre
messages: + msg334827
2019-02-02 01:42:16nnjacreate